<div class="list-container" style="width:<?php echo $this->options['maxwidth']; ?>;max-width:<?php echo $this->options['maxwidth']; ?>;">
  <?php
  if ('1' === $this->options['show_breadcrumb'] || '1' === $this->options['search'] || '1' === $this->options['show_refreshbutton'] ||
          $this->get_user()->can_download_zip() || $this->get_user()->can_delete_files() || $this->get_user()->can_delete_folders() || $this->get_user()->can_move_folders() || $this->get_user()->can_move_files()) {
      ?><div class="nav-header"><?php if ('1' === $this->options['show_breadcrumb']) { ?>
            <a class="nav-home" title="<?php _e('Back to our first folder', 'useyourdrive'); ?>">
              <i class="fas fa-home"></i>
            </a>
            <div class="nav-title"><?php _e('Loading...', 'useyourdrive'); ?></div>
            <?php
            if ('1' === $this->options['search']) {
                ?>
                <a class="nav-search">
                  <i class="fas fa-search"></i>
                </a>

                <div class="search-div">
                  <div class="search-remove"><i class="fas fa-times-circle fa-lg"></i></div>
                  <input name="q" type="text" size="40" aria-label="<?php echo __('Search', 'useyourdrive'); ?>" placeholder="<?php echo __('Search filenames', 'useyourdrive').(('1' === $this->options['searchcontents']) ? ' '.__('and within contents', 'useyourdrive') : ''); ?>" class="search-input" />
                </div>
                <?php
            }

            if ($this->get_user()->can_download_zip() || $this->get_user()->can_delete_files() || $this->get_user()->can_delete_folders()) {
                ?>
                <a class="nav-gear" title="<?php _e('Options', 'useyourdrive'); ?>">
                  <i class="fas fa-cog"></i>
                </a>
                <div class="gear-menu" data-token="<?php echo $this->listtoken; ?>">
                  <ul>
                    <?php
                    if ($this->get_user()->can_add_folders()) {
                        ?>
                        <li><a class="nav-new-folder newfolder" title="<?php _e('Add folder', 'useyourdrive'); ?>"><i class="fas fa-folder-plus fa-lg"></i><?php _e('Add folder', 'useyourdrive'); ?></a></li>
                        <?php
                    }

                if ($this->get_user()->can_upload()) {
                    ?>
                        <li><a class="nav-upload" title="<?php _e('Upload files', 'useyourdrive'); ?>"><i class="fas fa-upload fa-lg"></i><?php _e('Upload files', 'useyourdrive'); ?></a></li>
                        <?php
                }

                if ($this->get_user()->can_download_zip()) {
                    ?>
                        <li><a class="all-files-to-zip" download><i class='fas fa-archive fa-lg'></i><?php _e('Download all', 'useyourdrive'); ?> (.zip)</a></li>
                        <li><a class="selected-files-to-zip" download><i class='fas fa-archive fa-lg'></i><?php _e('Download selected', 'useyourdrive'); ?> (.zip)</a></li>
                        <?php
                }

                if ($this->get_user()->can_move_folders() || $this->get_user()->can_move_files()) {
                    ?>
                        <li><a class='selected-files-move' title='" <?php _e('Move to', 'useyourdrive'); ?>"'><i class='fas fa-folder-open fa-lg'></i><?php _e('Move to', 'useyourdrive'); ?></a></li>
                        <?php
                }

                if ($this->get_user()->can_delete_files() || $this->get_user()->can_delete_folders()) {
                    ?>
                        <li><a class="selected-files-delete" title="<?php _e('Delete selected', 'useyourdrive'); ?>"><i class="fas fa-trash fa-lg"></i><?php _e('Delete selected', 'useyourdrive'); ?></a></li>
                        <?php
                }

                if ($this->get_user()->can_deeplink()) {
                    ?>
                        <li><a class='entry_action_deeplink_folder' title='<?php _e('Direct Link', 'useyourdrive'); ?>'><i class='fas fa-link fa-lg'></i><?php _e('Direct Link', 'useyourdrive'); ?></a></li>
                        <?php
                }

                if ($this->get_user()->can_share()) {
                    ?>
                        <li><a class='entry_action_shortlink_folder' title='<?php _e('Share folder', 'useyourdrive'); ?>'><i class='fas fa-share-alt fa-lg'></i><?php _e('Share folder', 'useyourdrive'); ?></a></li>
                        <?php
                } ?>
                    <li class='gear-menu-no-options' style="display: none"><a><i class='fas fa-info-circle fa-lg'></i><?php _e('No options...', 'useyourdrive'); ?></a></li>
                  </ul>
                </div>
                <?php
            }
        }
      if ('1' === $this->options['show_refreshbutton']) {
          ?>
            <a class="nav-refresh" title="<?php _e('Refresh', 'useyourdrive'); ?>">
              <i class="fas fa-sync"></i>
            </a>
            <?php
      }

      if ('0' === $this->options['single_account']) {
          $current_account = $this->get_accounts()->get_account_by_id($dataaccountid);
          $primary_account = $this->get_accounts()->get_primary_account();

          if (null === $current_account) {
              echo "<div class='nav-account-selector' data-account-id='{$primary_account->get_id()}' title='{$primary_account->get_name()}'><img src='{$primary_account->get_image()}' onerror='this.src=\"".USEYOURDRIVE_ROOTPATH."/css/images/usericon.png\"' /><span>{$primary_account->get_name()}</span></div>\n";
          } else {
              echo "<div class='nav-account-selector' data-account-id='{$current_account->get_id()}' title='{$current_account->get_name()}'><img src='{$current_account->get_image()}' onerror='this.src=\"".USEYOURDRIVE_ROOTPATH."/css/images/usericon.png\"' /><span>{$current_account->get_name()}</span></div>\n";
          }

          echo "<div class='nav-account-selector-content'>";
          foreach ($this->get_main()->get_accounts()->list_accounts() as $account_id => $account) {
              echo "<div class='nav-account-selector' data-account-id='{$account->get_id()}' title='{$account->get_name()} ({$account->get_email()})'><div><img src='{$account->get_image()}'/><span>{$account->get_name()} ({$account->get_email()})</span></div></div>\n";
          }
          echo '</div>';
      } ?></div><?php
  } ?>
  <div class="file-container">
    <div class="loading initialize"><?php
      $loaders = $this->get_setting('loaders');

      switch ($loaders['style']) {
          case 'custom':
              break;
          case 'beat':
              ?>
              <div class='loader-beat'></div>
              <?php
              break;
          case 'spinner':
              ?>
              <svg class="loader-spinner" viewBox="25 25 50 50">
              <circle class="path" cx="50" cy="50" r="20" fill="none" stroke-width="3" stroke-miterlimit="10"></circle>
              </svg>
              <?php
              break;
      }
      ?></div>
    <div class="ajax-filelist" style="<?php echo (!empty($this->options['maxheight'])) ? 'max-height:'.$this->options['maxheight'].';overflow-y: scroll;' : ''; ?>">&nbsp;</div>
    <div class="scroll-to-top"><a><i class="fas fa-chevron-circle-up fa-2x"></i></a></div>
  </div>
</div>